Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.buildtime.spi
Interface Instrumenter

All Known Implementing Classes:
  AbstractInstrumenter, JavassistInstrumenter

    public interface Instrumenter

Basic contract for performing instrumentation

Nested Class Summary
`static interface` | `Instrumenter.Options` Instrumentation options

Method Summary
`void` | `execute(Set<File> files)` Perform the instrumentation

Method Detail

### execute

    void execute(Set<File> files)

  Perform the instrumentation

  Parameters:
    `files` - The file on which to perform instrumentation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.